Subject: Re: [PATCH] Provide dummy hard_irq_enable/disable() for PPC32

From: Rutger Nijlunsing <[email-masked]>
Date: Sun, 26 Nov 2006 19:47:43 +0100

On Sun, Nov 26, 2006 at 05:36:15PM +1100, Michael Ellerman wrote:
> To allow arch/powerpc/kernel/crash.c to build on 32-bit we need a
> definition of hard_irq_disable(). 32-bit doesn't support the lazy
> interrupt disabling mechanism, so on 32-bit hard_irq_disable() is
> simply local_irq_disable(). Add a definition for hard_irq_enable()
> just for completeness.
> 
> This allows (KEXEC=y && PPC32=y) to build again. Broken since
> d04c56f73c30a5e593202ecfcf25ed43d42363a2.
> 
> Signed-off-by: Michael Ellerman <[email-masked]>
> ---
> Paulus,
> 
> if this is OK by you, I think it should probably go in for 2.6.19.

d04c56f73c30a5e593202ecfcf25ed43d42363a2 is not in Linus' tree
currently, so no need to fix it in 2.6.19 I would say...

-- 
Rutger Nijlunsing ---------------------------------- eludias ed dse.nl
never attribute to a conspiracy which can be explained by incompetence
----------------------------------------------------------------------